Bug 1248040 - %python3_pkgversion not recognized?
%python3_pkgversion not recognized?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python3-pkgversion-macros (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Python Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 09:32 EDT by Antonio Trande
Modified: 2016-03-09 12:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 12:31:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2015-07-29 09:32:48 EDT
Description of problem:
%python3_pkgversion macro is not recognized on F23/F24 (on koji builds).

See http://koji.fedoraproject.org/koji/getfile?taskID=10525890&name=root.log&offset=-4000

Version-Release number of selected component (if applicable):
python3-pkgversion-macros-1-3.el7
python3-pkgversion-macros-1-3.fc23
Comment 1 Orion Poplawski 2015-09-03 13:36:41 EDT
Has python3-pkgversion-macros not been added to the Fedora buildroots?
Comment 2 Robert Kuska 2015-09-04 03:19:11 EDT
It wasn't. As far as I know it is needed to have packaging guidelines for EPEL approved by FPC first.

There is some discussion at the end of the 2015/08/27 fpc meeting:
https://meetbot.fedoraproject.org/fedora-meeting-1/2015-08-27/fpc.2015-08-27-16.05.log.html/
Comment 3 Matej Stuchlik 2015-09-07 05:15:15 EDT
To expand on that: Fedora relengs were not comfortable with adding a new package to buildroot at all, especially not when the guidelines were not yet approved by FESCO at that point.
Comment 4 Oliver Haessler 2015-12-04 04:50:31 EST
so how do i use the %python3_pkgversion macro for builds that go to Fedora and EPEL? If i use:

BuildRequires:  python%{python3_pkgversion}-devel

it works on EPEL7 but on Fedora 24 I get:
Error: No Package found for python%{python3_pkgversion}-devel

I tried to include:
BuildRequires:  python3-pkgversion-macros

with no success.
Comment 6 Jan Kurik 2016-02-24 08:29:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.